com.unitech.lib.uhf.params

## Class SelectMaskUTEParam

- java.lang.Object
- - com.unitech.lib.uhf.params.SelectMaskUTEParam

-     public class SelectMaskUTEParam
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SelectMaskUTEParam()` Creates an instance of the SelectMask6cParam class.
    `SelectMaskUTEParam(boolean used, PA768eEnums.TagSelectMode mode, PA768eEnums.TagSelectTarget target, PA768eEnums.TagSelectAction action, PA768eEnums.TagSelectTruncate truncate, PA768eEnums.BankType bank, int offset, short[] pattern, int length)` Creates an instance of the SelectMask6cParam class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()` Initializes the values set in the SelectMask6cParam instance.
    `void` | `copy(SelectMaskUTEParam param)` Copy the SelectMask6cParam instance.
    `PA768eEnums.TagSelectAction` | `getAction()` Returns Action Flag of "Selection Mask".
    `PA768eEnums.BankType` | `getBank()` Returns BankType Flag of "Selection Mask".
    `int` | `getLength()` Returns length value of "Selection Mask".
    `PA768eEnums.TagSelectMode` | `getMode()` Returns Mode Flag of "Selection Mask".
    `int` | `getOffset()` Returns offset value of "Selection Mask".
    `short[]` | `getPattern()` Returns Pattern value of "Selection Mask".
    `PA768eEnums.TagSelectTarget` | `getTarget()` Returns Target Flag of "Selection Mask".
    `PA768eEnums.TagSelectTruncate` | `getTruncate()` Returns Truncate Flag of "Selection Mask".
    `boolean` | `isUsed()` Returns whether or not "Selection Mask" is enabled.
    `void` | `setAction(PA768eEnums.TagSelectAction action)` Set Action Flag of "Selection Mask".
    `void` | `setBank(PA768eEnums.BankType bank)` Set BankType Flag of "Selection Mask".
    `void` | `setLength(int length)` Set length value of "Selection Mask".
    `void` | `setMode(PA768eEnums.TagSelectMode mode)` Set Mode Flag of "Selection Mask".
    `void` | `setOffset(int offset)` Set offset value of "Selection Mask".
    `void` | `setPattern(short[] pattern)` Set Pattern value of "Selection Mask".
    `void` | `setTarget(PA768eEnums.TagSelectTarget target)` Set Target Flag of "Selection Mask".
    `void` | `setTruncate(PA768eEnums.TagSelectTruncate truncate)` Set Truncate Flag of "Selection Mask".
    `void` | `setUsed(boolean used)` Set whether or not to use "Selection Mask".
    `java.lang.String` | `toString()` Return the SelectMask6cParam information with format: [Used], [Target], [Action], [Bank], [Offset], [Pattern], [Length]

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SelectMaskUTEParam

          public SelectMaskUTEParam()

      Creates an instance of the SelectMask6cParam class.

    - #### SelectMaskUTEParam

          public SelectMaskUTEParam(boolean used,
                                    PA768eEnums.TagSelectMode mode,
                                    PA768eEnums.TagSelectTarget target,
                                    PA768eEnums.TagSelectAction action,
                                    PA768eEnums.TagSelectTruncate truncate,
                                    PA768eEnums.BankType bank,
                                    int offset,
                                    short[] pattern,
                                    int length)

      Creates an instance of the SelectMask6cParam class.
      Parameters:
        `used` - A boolean indicating whether to use the condition of "Selection Mask".
        `mode` - The TagSelectMode enumeration indicating the flag of the tag to store the result of the "Selection Mask" condition.
        `target` - The TagSelectTarget enumeration indicating the flag of the tag to store the result of the "Selection Mask" condition.
        `action` - The TagSelectAction enumeration indicating how to save the results for the condition of "Selection Mask".
        `truncate` - The TagSelectTruncate enumeration indicating the flag of the tag to store the result of the "Selection Mask" condition.
        `bank` - The BankType enumeration representing the memory bank of the tag to compare the pattern in "Selection Mask".
        `offset` - An integer representing the start address at which to begin comparing patterns in the "Selection Mask". The unit is bit.
        `pattern` - A Short Array representing the comparison pattern for "Selection Mask".
        `length` - An integer representing the length of the pattern in "Selection Mask". The unit is bit.

  - ### Method Detail

    - #### copy

          public void copy(SelectMaskUTEParam param)

      Copy the SelectMask6cParam instance.
      Parameters:
        `param` - An instance of SelectMask6cParam to copy.

    - #### clear

          public void clear()

      Initializes the values set in the SelectMask6cParam instance.

    - #### isUsed

          public boolean isUsed()

      Returns whether or not "Selection Mask" is enabled.
      Returns:
        A boolean indicating whether to use the condition of "Selection Mask".

    - #### setUsed

          public void setUsed(boolean used)

      Set whether or not to use "Selection Mask".
      Parameters:
        `used` - A boolean indicating whether to use the condition of "Selection Mask".

    - #### getMode

          public PA768eEnums.TagSelectMode getMode()

      Returns Mode Flag of "Selection Mask".
      Returns:
        The TagSelectMode enumeration indicating how to save the results for the condition of "Selection Mask".

    - #### setMode

          public void setMode(PA768eEnums.TagSelectMode mode)

      Set Mode Flag of "Selection Mask".
      Parameters:
        `mode` - The TagSelectMode enumeration indicating how to save the results for the condition of "Selection Mask".

    - #### getTarget

          public PA768eEnums.TagSelectTarget getTarget()

      Returns Target Flag of "Selection Mask".
      Returns:
        The TagSelectTarget enumeration indicating how to save the results for the condition of "Selection Mask"

    - #### setTarget

          public void setTarget(PA768eEnums.TagSelectTarget target)

      Set Target Flag of "Selection Mask".
      Parameters:
        `target` - The TagSelectTarget enumeration indicating how to save the results for the condition * of "Selection Mask"

    - #### getAction

          public PA768eEnums.TagSelectAction getAction()

      Returns Action Flag of "Selection Mask".
      Returns:
        The Mask6cAction enumeration indicating how to save the results for the condition of "Selection Mask"

    - #### setAction

          public void setAction(PA768eEnums.TagSelectAction action)

      Set Action Flag of "Selection Mask".
      Parameters:
        `action` - The Mask6cAction enumeration indicating how to save the results for the condition * of "Selection Mask"

    - #### getTruncate

          public PA768eEnums.TagSelectTruncate getTruncate()

      Returns Truncate Flag of "Selection Mask".
      Returns:
        The TagSelectTruncate enumeration indicating how to save the results for the condition of "Selection Mask"

    - #### setTruncate

          public void setTruncate(PA768eEnums.TagSelectTruncate truncate)

      Set Truncate Flag of "Selection Mask".
      Parameters:
        `truncate` - The TagSelectTruncate enumeration indicating how to save the results for the condition * of "Selection Mask"

    - #### getBank

          public PA768eEnums.BankType getBank()

      Returns BankType Flag of "Selection Mask".
      Returns:
        The BankType enumeration indicating how to save the results for the condition of "Selection Mask"

    - #### setBank

          public void setBank(PA768eEnums.BankType bank)

      Set BankType Flag of "Selection Mask".
      Parameters:
        `bank` - The BankType enumeration indicating how to save the results for the condition * of "Selection Mask"

    - #### getOffset

          public int getOffset()

      Returns offset value of "Selection Mask".
      Returns:
        An integer representing the start address at which to begin comparing patterns * in the "Selection Mask". The unit is bit.

    - #### setOffset

          public void setOffset(int offset)

      Set offset value of "Selection Mask".
      Parameters:
        `offset` - An integer representing the start address at which to begin comparing patterns in the "Selection Mask". The unit is bit.

    - #### getPattern

          public short[] getPattern()

      Returns Pattern value of "Selection Mask".
      Returns:
        A Short Array representing the comparison pattern for "Selection Mask".

    - #### setPattern

          public void setPattern(short[] pattern)

      Set Pattern value of "Selection Mask".
      Parameters:
        `pattern` - A Short Array representing the comparison pattern for "Selection Mask".

    - #### getLength

          public int getLength()

      Returns length value of "Selection Mask".
      Returns:
        An integer representing the start address at which to begin comparing patterns * in the "Selection Mask". The unit is bit.

    - #### setLength

          public void setLength(int length)

      Set length value of "Selection Mask".
      Parameters:
        `length` - An integer representing the start address at which to begin comparing patterns in the "Selection Mask". The unit is bit.

    - #### toString

          public java.lang.String toString()

      Return the SelectMask6cParam information with format: [Used], [Target], [Action], [Bank], [Offset], [Pattern], [Length]
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        The SelectMask6cParam information